#version 430

layout (location = 0) in vec3 pos;
out vec3 textureCoords;
uniform mat4 view;
uniform mat4 projection;

void main() {
    textureCoords = pos;
    vec4 position = projection * view * vec4(pos, 1.0);
    gl_Position = position.xyww;
}  