#version 430 core
out vec4 FragColor;
  
layout (location = 9) in vec2 uvs;

layout(location = 20) uniform int textureSet;
layout(location = 21)uniform sampler2D screenTexture;
layout(location = 22) uniform samplerCube envMap;


void main()
{ 
	vec3 texColor = texture(screenTexture, uvs).rgb;
	if(length(texColor) < 0.13){
		FragColor = vec4(0,0,0,0);
	}else{
		FragColor = vec4(vec3(texture(screenTexture, uvs)), 1.0);
	}
    
}